Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 355675 - [QA] dev-python/python-selinux-2.16-r2 Files built without respecting LDFLAGS have been detected
Summary: [QA] dev-python/python-selinux-2.16-r2 Files built without respecting LDFLAGS...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: SE Linux Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2011-02-20 11:55 UTC by Andreis Vinogradovs ( slepnoga )
Modified: 2011-03-18 02:04 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Draft patch for fixing this issue (patch,461 bytes, patch)
2011-02-22 16:33 UTC, Maxim Koltsov
Details | Diff
Fixed patch (patch,425 bytes, patch)
2011-02-22 16:34 UTC, Maxim Koltsov
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreis Vinogradovs ( slepnoga ) 2011-02-20 11:55:22 UTC
dev-python/python-selinux-2.16-r2 produce QA warning:

 * QA Notice: Files built without respecting LDFLAGS have been detected
 *  Please include the following list of files in your report:
 * /usr/lib/python2.6/site-packages/selinux_aux.so
Comment 1 Andreis Vinogradovs ( slepnoga ) 2011-02-20 11:56:05 UTC
Portage 2.2.0_alpha24 (selinux/v2refpolicy/amd64/desktop, gcc-4.5.2, glibc-2.13-r1, 2.6.37-gentoo-1.08 x86_64)
=================================================================
System uname: Linux-2.6.37-gentoo-1.08-x86_64-Intel-R-_Atom-TM-_CPU_330_@_1.60GHz-with-gentoo-2.0.1
Timestamp of tree: Sat, 19 Feb 2011 07:45:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.6.6-r1, 2.7.1, 3.1.3
dev-util/cmake:      2.8.3-r1
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
Repositories: gentoo kde sunrise alexxy hardened-dev rion my-dev
Installed sets: @mykde, @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -fomit-frame-pointer -mfpmath=sse+387 -mpc80 -msse3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -fomit-frame-pointer -mfpmath=sse+387 -mpc80 -msse3"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages loadpolicy news parallel-fetch preserve-libs protect-owned sandbox selinux sesandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://gentoo.tups.lv/source "
LANG="ru_RU.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--sort-common -Wl,--hash-style=gnu"
LINGUAS="ru"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_COMPRESS="lzma"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/kde /var/lib/layman/sunrise /var/lib/layman/alexxy /var/lib/layman/hardened-development /home/slep/rion /home/slep/slepnoga/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acpi akonadi alsa amd64 assistant avahi bash-completion berkdb bl bluetooth branding cairo caps cdda cdio cdparanoia cli clucene consolekit cracklib crypt cue cxx dbus declarative device-mapper dga dia djvu dri dts dvd dvdr emboss enca encode exif fam fax fbcon ffmpeg firefox flac fontconfig fortran ftp gdu ggi gif gnutls gpm gs gstreamer hal handbook ical iconv icu idn imagemagick imlib inkjar inotify ipv6 jbig jpeg jpeg2k kate kerberos kvm ladspa lame lcms ldap libnotify libsamplerate lm_sensors log4j lzma lzo mad mikmod mmap mng modplug modules mp3 mp4 mpeg mtp mudflap multimedia multislot mysql natspec ncurses nls nsplugin ogg okular opengl openmp optimized-qmake pam pango pch pcre pdf perl phonon pipe plasma png pnm policykit ppds ppp pppd python qt3support qt4 radio raster readline redeyes reports rhelpatch rle samba sasl scanner sdl selinux semantic-desktop session sftp skype slp smp sms sndfile spell spice sql sqlite ssl startup-notification strigi suexec svg symlink syslog taglib tcpd theora threads tiff truetype udev unicode usb vaapi vhosts vim-syntax vorbis wav wavpack webkit winetriks xattr xcb xine xinetd xml xmlpatterns xorg xulrunner xv xvid xvmc zeroconf zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LINGUAS="ru" PHP_TARGETS="php5-3" QEMU_SOFTMMU_TARGETS="x86_64" QEMU_USER_TARGETS="x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Maxim Koltsov gentoo-dev 2011-02-22 16:33:36 UTC
Created attachment 263507 [details, diff]
Draft patch for fixing this issue
Comment 3 Maxim Koltsov gentoo-dev 2011-02-22 16:34:20 UTC
Created attachment 263509 [details, diff]
Fixed patch
Comment 4 Maxim Koltsov gentoo-dev 2011-02-22 16:35:05 UTC
I've made simple patch to Makefile that fixes this issue.
Sorry for duplicate patch, first was with wrong header.
Comment 5 Anthony Basile gentoo-dev 2011-03-18 02:03:58 UTC
(In reply to comment #4)
> I've made simple patch to Makefile that fixes this issue.
> Sorry for duplicate patch, first was with wrong header.

I tested and it looks good.  Its in the tree now in python-selinux-2.16-r3.ebuild.

Closing this one, reopen if its still a problem.